window.bmApiRef = {};
window.gpsApi = {};
window.gpsApi.version = {};
window.gpsApi.version.get = () => {
  alert('Version 1');
};
window.gpsApi.editor = {};

window.gpsApi.editor.cleanup = () => {
  console.error('cleanup not implemented yet');
};

window.gpsApi.editor.addLayer = () => {
  console.error('addLayer not implemented yet');
};

window.gpsApi.editor.removeLayer = () => {
  console.error('removeLayer not implemented yet');
};

window.gpsApi.editor.modify = (action, wktFeature) => {
  console.error('modify not implemented yet');
  showAlert();
};

window.gpsApi.editor.zoomTo = (wktFeature) => {
  console.error('zoomTo not implemented yet');
  showAlert();
};

function showAlert() {
  alert('Geometrie-Funktion nicht implementiert oder verfügbar');
}

function checkForApi() {
  if (window.opener && window.opener?.bmApi) {
    console.log('bmApi detected (opener)');
    this.bmApi = window.opener.bmApi;
  } else if (window.parent.opener && window.parent?.opener?.bmApi) {
    console.log('bmApi detected (sub form)');
    this.bmApi = window.parent.opener.bmApi;
  } else if (window.parent && window.parent.bmApi) {
    console.log('bmApi detected (parent)');
    this.bmApi = window.parent.bmApi;
  } else {
    console.log('bmApi NOT detected');
    this.bmApi = {};
    return false;
  }
  return true;
}
